Subject: Re: bug#46138: 28.0.50; epg--filter-revoked-keys filters out valid keys

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Jan 2021 07:45:28 +0100

Alexey Shmalko <[email-masked]> writes:

> Here is my key you can import. It has 5 uids, 2 of which are revoked.
>
> Use `gpg --import` to import it, `gpg --list-keys -v DCEF7BCCEB3066C3`
> to show all uids including revoked ones.

Thanks!

I've now imported the key, but I'm not sure I'm reproducing the bug
correctly.  Here's my test case:

C-x C-f /tmp/new-file.gpg RET
foo
M-: (setq epa-file-encrypt-to "[email-masked]") RET
C-x C-s

I then get this buffer:

I select that line, and `C-c C-c' and Emacs says:

Untrusted key 4770B60E8CEE030B Alexey Shmalko <[email-masked]>.  Use anyway? (y or n) y
Encrypting /tmp/smalko.gpg... [2 times]
Wrote /tmp/smalko.gpg [2 times]

And the file is now apparently saved using that key.

What's your recipe to reproduce the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no